## 注意事项:

项目编译时需要修改tsconfig.json中的如下配置
```json
{
  "compilerOptions": {
    // 将如下commonjs改为esnext
    // "module": "commonjs",
    "module": "esnext"
    // 省略其他配置...
  },
}


```

## 相关命令
1. 请使用 `npm install` 安装依赖
2. 请使用 `npm run build` 打包
3. 请使用 `npm run dev` 启动
4. 请使用 `npm run test` 测试
5. 请使用 `npm run lint` 检查代码
6. 请使用 `npm run doc` 生成文档
7. 请使用 `npm run deploy` 部署
8. 请使用 `npm run deploy:dev` 部署开发环境
9. 请使用 `npm run deploy:test` 部署测试环境
10. 请使用 `npm run deploy:prod` 部署生产环境
11. 请使用 `npm run deploy:pre` 部署预发布环境
12. 请使用 `npm run deploy:sit` 部署体验环境
13. 请使用 `npm run deploy:uat` 部署UAT环境
14. 请使用 `npm run deploy:pro` 部署生产环境
15. 请使用 `npm run deploy:pre` 部署预发布环境
16. 请使用 `npm run deploy:sit` 部署体验环境
17. 请使用 `npm run deploy:uat` 部署UAT环境
